"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-screen-mic-recorder' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ScreenMicRecorder = _reactNative.NativeModules.ScreenMicRecorder ? _reactNative.NativeModules.ScreenMicRecorder : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
const {
  stopRecording,
  deleteRecording
} = ScreenMicRecorder;
const listeners = {};
const ReactNativeScreenMicRecorder = {
  startRecording: (config = {}) => {
    let notificationActionEnabled = false;
    if (config?.androidBannerStopRecordingHandler && typeof config?.androidBannerStopRecordingHandler === 'function' && _reactNative.Platform.OS === 'android') {
      notificationActionEnabled = true;
      typeof listeners?.eventListener?.remove === 'function' && listeners.eventListener.remove();
      const eventEmitter = new _reactNative.NativeEventEmitter(ScreenMicRecorder);
      listeners.eventListener = eventEmitter.addListener('stopEvent', ({
        value = ''
      } = {}) => config.androidBannerStopRecordingHandler(value));
    }
    return ScreenMicRecorder.startRecording({
      mic: !config.mic === false,
      notificationActionEnabled,
      width: _reactNative.Dimensions.get('window').width,
      height: _reactNative.Dimensions.get('window').height,
      ...config
    });
  },
  stopRecording,
  deleteRecording
};
var _default = exports.default = ReactNativeScreenMicRecorder;
//# sourceMappingURL=index.js.map